Bug 17239 - Problems with /usr/include directories missing/unlinked
Problems with /usr/include directories missing/unlinked
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-04 17:56 EDT by John Romano
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 20:31:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Romano 2000-09-04 17:56:09 EDT
I recently upgraded to RH6.2 from a RH6.1 i386 system.

When I tried to re-compile some applications, I received errors regarding 
various missing .h files.  Specifically I was compiling radius-cistron-
1.5.4.3 with MySQL patches.  This application previously compiled fine 
under RH6.1.

Bottom line; I had to create the following symbolic links:
ln -s /usr/src/linux-2.2.16/include/linux/ /usr/include/linux
ln -s /usr/src/linux-2.2.16/include/asm-i386/ /usr/include/asm

After these symbolic links were created, and some problems with the 
mysql_init() routine resolved, the application compiled OK.

I found it weird that the /usr/include/linux and /usr/include/asm 
directories (or links to them) were, plain and simply, missing.

The involved packages were these:
glibc-devel-2.1.3-15
glibc-2.1.3-15
kernel-headers-2.2.16-3

Note You need to log in before you can comment on or make changes to this bug.